{% extends '::baseIntranet.html.twig' %}

{% block title %} INTRANET - Carga de Reglamento {% endblock title %}

{% block stylesheets %}
  	<style>
  		#form_Guardar {
		    margin-top: 15px;
		    float: left;
		}
		#form_Cancelar {
		    margin-top: 15px;
		    margin-left: 15px;
		}
		#view_pdf{
			height: 100vh;
		}
	</style>
{% endblock %}

{% block body %}
        
        	<section class="content-header">
	          <h1>
	            Reglamento MDR.
	          </h1>
	        </section>
        <section class="content">  
        	<div class="box box-info">
      
                <div class="box-body" style="padding: 2%;">
		        	<div class="row">
		        		{{ form_start(form_new) }}
		                  {% for row in [		                    
		                    [ ['archivo',2] ]
		                    ] 
		                  %}
		                    <div class="row">   
		                    {% for field in row %}
		                      <div class="col-md-{{ field[1] is defined ? field[1] * 4 :  4 }}">
		                        {% if (attribute(form_new, field[0]) is defined) %}
		                          {{ form_row(attribute(form_new, field[0])) }}
		                        {% endif %}
		                      </div>
		                    {% endfor %}
		                    </div>
		                  {% endfor %}
		                  {{ form_rest(form_new) }}
		                  {{ form_end(form_new) }}
		        	</div>
		        </div>
		    </div>
		   	


		   <div class="box box-primary">
      			<div class="box-header">
                  <h3 class="box-title">Documento Actual</h3>
                </div>
                <div class="box-body" id="view_pdf">
		        	
		        </div>

		    </div>

		</section> 	
    

{% endblock %}

{% block javascripts %}
<script src="{{ asset('vendor/js/pdfobject.js') }}" /></script>
<script>
	urlPDF = '{{ reglamento.Valor }}';

	var myPDF = new PDFObject({ 
		
			url: urlPDF,
			pdfOpenParams: {
				navpanes: 0,
				toolbar: 0,
				statusbar: 0,
				view: "FitH"
			}
		
		}).embed("view_pdf");

	function cancel(){
		var myPDF = new PDFObject({ 
		
			url: urlPDF,
			pdfOpenParams: {
				navpanes: 0,
				toolbar: 0,
				statusbar: 0,
				view: "FitH"
			}
		
		}).embed("view_pdf");
	}	

	function save(){
		if($('#form_archivo').val()){
			showLoading('Guardando Reglamento');
		}
	}

	function validateNotExtension (file,id){
            extensiones_permitidas = new Array(".pdf");
            peso_maximo = 5000000;
            extension = (file.substring(file.lastIndexOf("."))).toLowerCase();
            input = document.getElementById(id);
            file = input.files[0];
            peso = file.size;
            permitida = 0; 
                for (var i = 0; i < extensiones_permitidas.length; i++) { 
                    if (extensiones_permitidas[i] == extension) { 
                        permitida = 1; 
					    break; 
                    }

                }
                if(peso > peso_maximo){
                    permitida = 2; 
                }

            if (!permitida) { 
                $('#form_Guardar').attr("disabled", true);
                alert("El tipo de archivo no es valido, solo se permiten archivos de tipo:</br>->PDF");
            }else if(permitida == 1){
                $('#form_Guardar').attr("disabled", false);
            }else if(permitida == 2){
                $('#form_Guardar').attr("disabled", true);
                alert("El Archivo que intenta subir es muy grande, los archivos no deben superar 5 MB");
            }
        }
</script>
{% endblock %}